## openfst 1.2

=== debian/changelog ===
openfst (1.2-1) experimental; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1 (no changes needed).
  * libfstmain has been renamed to libfstscript: add Breaks.
  * Use dh_makeshlibs -V.
  * Update debian/clean.
  * Link libfst* libraries with all the libraries they use symbols from.
    [unresolved-symbols.diff]
  * Use LDFLAGS=-Wl,--as-needed.
  * Install AUTHORS, README and NEWS files.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 19 Aug 2010 15:02:45 +0200

openfst (1.1-1) experimental; urgency=low

  * Initial release (closes: #579398).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 18 May 2010 16:58:34 +0200
