=== debian/control ===
Source: openfst
Section: libs
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libtool, autoconf, automake1.9
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.1
Homepage: http://www.openfst.org/
Vcs-Hg: http://hg.debian.org/hg/collab-maint/openfst
Vcs-Browser: http://hg.debian.org/hg/collab-maint/openfst

Package: libfst0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libfst-tools (<< 1.2)
Description: weighted finite-state transducers library (runtime)
 OpenFst is a library for constructing, combining, optimizing, and searching
 weighted finite-state transducers (FSTs). Weighted finite-state transducers
 are automata where each transition has an input label, an output label, and a
 weight. The more familiar finite-state acceptor is represented as a transducer
 with each transition's input and output label equal. Finite-state acceptors
 are used to represent sets of strings (specifically, regular or rational
 sets); finite-state transducers are used to represent binary relations between
 pairs of strings (specifically, rational transductions). The weights can be
 used to represent the cost of taking a particular transition. 
 .
 This package includes the shared library.

Package: libfst-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: weighted finite-state transducers library (development)
 OpenFst is a library for constructing, combining, optimizing, and searching
 weighted finite-state transducers (FSTs). Weighted finite-state transducers
 are automata where each transition has an input label, an output label, and a
 weight. The more familiar finite-state acceptor is represented as a transducer
 with each transition's input and output label equal. Finite-state acceptors
 are used to represent sets of strings (specifically, regular or rational
 sets); finite-state transducers are used to represent binary relations between
 pairs of strings (specifically, rational transductions). The weights can be
 used to represent the cost of taking a particular transition. 
 .
 This package includes the development support files.

Package: libfst-tools
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: weighted finite-state transducers library (tools)
 OpenFst is a library for constructing, combining, optimizing, and searching
 weighted finite-state transducers (FSTs). Weighted finite-state transducers
 are automata where each transition has an input label, an output label, and a
 weight. The more familiar finite-state acceptor is represented as a transducer
 with each transition's input and output label equal. Finite-state acceptors
 are used to represent sets of strings (specifically, regular or rational
 sets); finite-state transducers are used to represent binary relations between
 pairs of strings (specifically, rational transductions). The weights can be
 used to represent the cost of taking a particular transition. 
 .
 This package includes the command line tools.
