=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(shell dh_testversion '<<' 7.4.10 2>/dev/null && echo old),old)
dh_parallel = --parallel
endif

LDFLAGS=-Wl,--as-needed

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 autoreconf -ivf
	dh_auto_configure

.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:
	dh_makeshlibs -V

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean
build build-arch build-indep binary binary-arch clean:
	dh $(dh_parallel) $(@)
# In order not to confuse lintian, binary-indep is a separate target:
binary-indep:

# vim:ts=4 sw=4 noet
