=== debian/watch ===
version=3
http://mohri-lt.cs.nyu.edu/twiki/bin/view/FST/FstDownload \
http://mohri-lt.cs.nyu.edu/twiki/pub/FST/FstDownload/openfst-([0-9.]+)[.]tar[.]gz
