## openfst 1.6.3

=== debian/changelog ===
openfst (1.6.3-2ubuntu1) focal; urgency=medium

  * Build using python3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 17:26:03 +0200

openfst (1.6.3-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:40 +0100

openfst (1.6.3-2) unstable; urgency=medium

  * Disable compilation optimizations for the test suite on kfreebsd-i386
    architecture.
    The test suite compilation requires a lot of memory and
    fails on some architectures with normal -O2 optimization.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 30 Aug 2017 22:30:48 +0200

openfst (1.6.3-1) unstable; urgency=medium

  [ Giulio Paci ]
  * New upstream release 1.6.3 (Closes: #871170).
  * Rename libfst4* packages into libfst8* according to SONAME change.
    The plugin path is updated accordingly.
  * Set DEB_COPYRIGHT_CHECK_IGNORE_REGEX in debian/rules.
    This prevents most binary files to be checked for license changes.
  * Bump Standards-Version to 4.0.1.
    No changes needed.
  * Add libfst8-plugins-base.lintian-overrides and source/lintian-overrides.
  * Add libfstcompact and libfstconst entries to libfst8.lintian-overrides.
  * Update copyright.
  * Update copyright_hints.

  [ Jakub Wilk ]
  * Fix typo in a debian/rules comment.

  [ Giulio Paci ]

 -- Giulio Paci <giuliopaci@gmail.com>  Sun, 30 Jul 2017 23:15:30 +0200
