=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: libs
 Priority: optional
 Maintainer: Giulio Paci <giuliopaci@gmail.com>
-Build-Depends: cdbs (>= 0.4.123~),
+Build-Depends: cdbs,
  autotools-dev,
- devscripts,
+ licensecheck,
  libtool,
  automake,
  autoconf,
+ dh-buildinfo,
  debhelper (>= 9~),
- dh-buildinfo,
  dpkg-dev (>= 1.16.1~),
  zlib1g-dev,
- python,
+ python3,
  bash-completion
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/openfst.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/openfst.git
 Homepage: http://www.openfst.org/
@@ -22,7 +22,7 @@
 Package: libfst-tools
 Section: text
 Architecture: any
-Depends: libfst4 (= ${binary:Version}),
+Depends: libfst8 (= ${binary:Version}),
 	 ${misc:Depends},
 	 ${shlibs:Depends}
 Description: weighted finite-state transducers library (tools)
@@ -38,10 +38,10 @@
  .
  This package provides the command line tools.
 
-Package: libfst4-plugins-base
+Package: libfst8-plugins-base
 Section: text
 Architecture: any
-Depends: libfst4 (= ${binary:Version}),
+Depends: libfst8 (= ${binary:Version}),
 	 ${misc:Depends},
 	 ${shlibs:Depends}
 Description: weighted finite-state transducers library (base plugins)
@@ -55,7 +55,7 @@
 Package: libfst-dev
 Section: libdevel
 Architecture: any
-Depends: libfst4 (= ${binary:Version}),
+Depends: libfst8 (= ${binary:Version}),
          ${misc:Depends}
 Description: weighted finite-state transducers library (development)
  OpenFst is a library for constructing, combining, optimizing, and searching
@@ -70,7 +70,7 @@
  .
  This package contains the development support files.
 
-Package: libfst4
+Package: libfst8
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: libfst-tools (<< 1.2)
