=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_BUILD_PARALLEL := 1
 ifneq "$(filter parallel=%,$(DEB_BUILD_OPTIONS))" ""
 	njobs_requested := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	# Artificially limit paralellism in order not to run out of RAM.
+	# Artificially limit parallelism in order not to run out of RAM.
 	mem_total := $(shell grep MemTotal /proc/meminfo | tr -s ' ' | cut -d' ' -f2)
 	njobs_max := $(patsubst 0,1,$(shell echo $$(( $(mem_total) / 2000000 ))))
 	DEB_PARALLEL_JOBS_BUILD := $(shell echo $$(( $(njobs_requested) > $(njobs_max) ? $(njobs_max) : $(njobs_requested) )))
@@ -23,7 +23,7 @@
 endif
 
 DEB_MAKE_CHECK_TARGET := $(DEB_MAKE_PARALLEL_JOBS_CHECK_ARGS) check TMPDIR=$(CURDIR)/tmpdir
-ifneq "$(filter hurd-i386,$(DEB_HOST_ARCH))" ""
+ifneq "$(filter hurd-i386 kfreebsd-i386,$(DEB_HOST_ARCH))" ""
 DEB_MAKE_CHECK_TARGET += CXXFLAGS="$(CXXFLAGS:-O%=-O0) -std=c++11"
 endif
 ifneq "$(filter mips mipsel,$(DEB_HOST_ARCH))" ""
@@ -46,7 +46,10 @@
 DEB_AUTOMAKE_ARGS = --foreign --add-missing --copy
 DEB_AUTO_UPDATE_AUTOCONF = 2.69
 
-DEB_CONFIGURE_USER_FLAGS = --enable-far --enable-pdt --enable-lookahead-fsts --enable-ngram-fsts --enable-const-fsts --enable-compact-fsts --enable-compress --enable-linear-fsts --enable-mpdt --enable-bin --enable-static --with-libfstdir=/usr/lib/fst/4
+DEB_CONFIGURE_USER_FLAGS = --enable-far --enable-pdt --enable-lookahead-fsts --enable-ngram-fsts --enable-const-fsts --enable-compact-fsts --enable-compress --enable-linear-fsts --enable-mpdt --enable-bin --enable-static --with-libfstdir=/usr/lib/fst/8
+
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX := ^debian/(changelog|copyright(|_hints|_newhints)|.*/usr/(bin|lib)/.*)|src/(.*\.(o|lo|a|la|so|backup)|src/.*/.libs/.*)$$
 
 BACKUP=configure aclocal.m4 config.h.in \
 	compile \
@@ -70,6 +73,7 @@
 	src/extensions/linear/Makefile.in \
 	src/extensions/mpdt/Makefile.in \
 	src/extensions/python/Makefile.in \
+	src/extensions/special/Makefile.in \
 	src/include/Makefile.in \
 	debian/addons/openfstbc/openfstbc \
 	Makefile.in
@@ -84,7 +88,7 @@
 	set -e ; for i in debian/addons/man/*.1; do \
 		sed -e 's/@DATE@/Feb 2016/g' -e 's/@VERSION@/1.5.1/g' $$i > debian/manpages_files/$$(basename $$i) ; \
 	done
-	cd debian/addons/openfstbc/ && ( ( cat makebcforofst.py ; echo print header) | python - 2>/dev/null ; cat openfstbc.backup ) > openfstbc
+	cd debian/addons/openfstbc/ && ( ( cat makebcforofst.py ; echo print header) | python3 - 2>/dev/null ; cat openfstbc.backup ) > openfstbc
 
 clean::
 	set -e ; for i in $(BACKUP); do \
@@ -97,5 +101,5 @@
 	dh_bash-completion -p$(cdbs_curpkg)
 
 # Needed by upstream build process
-CDBS_BUILD_DEPENDS += , dpkg-dev (>= 1.16.1~), zlib1g-dev, python, bash-completion
+CDBS_BUILD_DEPENDS += , debhelper (>= 9~), dpkg-dev (>= 1.16.1~), zlib1g-dev, python3, bash-completion
