=== debian/control ===
--- 
+++ 
@@ -1,30 +1,23 @@
 Source: openfst
 Section: libs
 Priority: optional
-Maintainer: Giulio Paci <giuliopaci@gmail.com>
-Build-Depends: cdbs,
- autotools-dev,
- licensecheck,
- libtool,
- automake,
- autoconf,
- dh-buildinfo,
- debhelper (>= 9~),
- dpkg-dev (>= 1.16.1~),
- zlib1g-dev,
- python3,
- bash-completion
-Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/openfst.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/openfst.git
-Homepage: http://www.openfst.org/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Uploaders: Giulio Paci <giuliopaci@gmail.com>,
+           Kartik Mistry <kartik@debian.org>,
+           Tino Didriksen <tino@didriksen.cc>
+Build-Depends: autoconf, debhelper-compat (= 13), zlib1g-dev
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/science-team/openfst.git
+Vcs-Browser: https://salsa.debian.org/science-team/openfst
+Homepage: https://www.openfst.org/
+Rules-Requires-Root: no
 
 Package: libfst-tools
 Section: text
 Architecture: any
-Depends: libfst8 (= ${binary:Version}),
-	 ${misc:Depends},
-	 ${shlibs:Depends}
+Provides: openfst
+Depends: libfst22 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: weighted finite-state transducers library (tools)
  OpenFst is a library for constructing, combining, optimizing, and searching
  weighted finite-state transducers (FSTs). Weighted finite-state transducers
@@ -38,12 +31,12 @@
  .
  This package provides the command line tools.
 
-Package: libfst8-plugins-base
+Package: libfst22-plugins-base
 Section: text
 Architecture: any
-Depends: libfst8 (= ${binary:Version}),
-	 ${misc:Depends},
-	 ${shlibs:Depends}
+Depends: libfst22 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libfst8-plugins-base
+Replaces: libfst8-plugins-base
 Description: weighted finite-state transducers library (base plugins)
  OpenFst is a library for constructing, combining, optimizing, and searching
  weighted finite-state transducers (FSTs).
@@ -55,8 +48,7 @@
 Package: libfst-dev
 Section: libdevel
 Architecture: any
-Depends: libfst8 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libfst22 (= ${binary:Version}), ${misc:Depends}
 Description: weighted finite-state transducers library (development)
  OpenFst is a library for constructing, combining, optimizing, and searching
  weighted finite-state transducers (FSTs). Weighted finite-state transducers
@@ -70,10 +62,12 @@
  .
  This package contains the development support files.
 
-Package: libfst8
+Package: libfst22
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libfst-tools (<< 1.2)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: libfst
+Conflicts: libfst, libfst8
+Replaces: libfst, libfst8
 Description: weighted finite-state transducers library (runtime)
  OpenFst is a library for constructing, combining, optimizing, and searching
  weighted finite-state transducers (FSTs). Weighted finite-state transducers
