=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: openfst
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Giulio Paci <giuliopaci@gmail.com>,
            Kartik Mistry <kartik@debian.org>,
            Tino Didriksen <tino@didriksen.cc>
 Build-Depends: autoconf, debhelper-compat (= 13), zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/science-team/openfst.git
 Vcs-Browser: https://salsa.debian.org/science-team/openfst
 Homepage: https://www.openfst.org/
@@ -17,7 +16,7 @@
 Section: text
 Architecture: any
 Provides: openfst
-Depends: libfst22 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libfst26 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: weighted finite-state transducers library (tools)
  OpenFst is a library for constructing, combining, optimizing, and searching
  weighted finite-state transducers (FSTs). Weighted finite-state transducers
@@ -31,12 +30,10 @@
  .
  This package provides the command line tools.
 
-Package: libfst22-plugins-base
+Package: libfst26-plugins-base
 Section: text
 Architecture: any
-Depends: libfst22 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libfst8-plugins-base
-Replaces: libfst8-plugins-base
+Depends: libfst26 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: weighted finite-state transducers library (base plugins)
  OpenFst is a library for constructing, combining, optimizing, and searching
  weighted finite-state transducers (FSTs).
@@ -48,7 +45,7 @@
 Package: libfst-dev
 Section: libdevel
 Architecture: any
-Depends: libfst22 (= ${binary:Version}), ${misc:Depends}
+Depends: libfst26 (= ${binary:Version}), ${misc:Depends}
 Description: weighted finite-state transducers library (development)
  OpenFst is a library for constructing, combining, optimizing, and searching
  weighted finite-state transducers (FSTs). Weighted finite-state transducers
@@ -62,12 +59,9 @@
  .
  This package contains the development support files.
 
-Package: libfst22
+Package: libfst26
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: libfst
-Conflicts: libfst, libfst8
-Replaces: libfst, libfst8
 Description: weighted finite-state transducers library (runtime)
  OpenFst is a library for constructing, combining, optimizing, and searching
  weighted finite-state transducers (FSTs). Weighted finite-state transducers
